View Issue Details

IDProjectCategoryView StatusLast Update
0004221Talerotherpublic2016-10-11 17:28
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004221: remove wallet load/unload events from spec and code
Description... there is basically no way to implement those reliably, especially with WebExtensions.

Instead, timeouts should be used to detect non-presence of a wallet, and websites may periodically probe (let's say every 300ms) to detect presence.
TagsNo tags attached.

Activities

Florian Dold

2016-03-02 13:47

manager   ~0010216

taler-presence.js should abstract over these things (timeouts, re-querying) and provide simple callbacks.

Christian Grothoff

2016-03-19 19:42

manager   ~0010252

I thought you figured out a way to do unload-detection. While I agree with that taler-presence.js should abstract it out, I don't think that's a reason to not have it in the spec. Please clarify what's left to do here.

Florian Dold

2016-09-12 23:49

manager   ~0011109

All code that interfaces with the wallet now uses the on{Present,Absent} events from the wallet lib.

We don't have the load/unload events, as they're unreliable at least in Chrome.

Issue History

Date Modified Username Field Change
2016-03-02 05:17 Florian Dold New Issue
2016-03-02 13:47 Florian Dold Note Added: 0010216
2016-03-02 13:47 Florian Dold Assigned To => Florian Dold
2016-03-02 13:47 Florian Dold Status new => assigned
2016-03-08 21:26 Christian Grothoff Product Version => 0.0
2016-03-08 21:26 Christian Grothoff Target Version => 0.1
2016-03-19 19:42 Christian Grothoff Note Added: 0010252
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004259
2016-09-12 23:49 Florian Dold Note Added: 0011109
2016-09-12 23:49 Florian Dold Status assigned => resolved
2016-09-12 23:49 Florian Dold Resolution open => fixed
2016-09-19 00:53 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed